Zillow: Search
Search from Zillow as JSON. 1 credit per successful call.
GET /v1/zillow/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
latitude | number | Optional | Any |
longitude | number | Optional | Any |
radius_mi | number | Optional | Any |
north_latitude | number | Optional | Any |
south_latitude | number | Optional | Any |
east_longitude | number | Optional | Any |
west_longitude | number | Optional | Any |
region_ids[] | list of integer | Optional | Any |
region_id_type | integer | Optional | Any |
polygon | string | Optional | Up to 4,000 characters |
listing_category | string | Optional | all, category1, category2 |
sort_order | string | Optional | baths, yearBuilt, price, relevance, beds, daysOn, featured, livingArea, lotArea, nearby, recentlyChanged, rentalDays, rentalPriorityScore |
sort_ascending | boolean | Optional | Any |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
min_beds | integer | Optional | Any |
max_beds | integer | Optional | Any |
min_baths | integer | Optional | Any |
max_baths | integer | Optional | Any |
living_area_min | integer | Optional | Any |
lot_size_min | integer | Optional | Any |
year_built_min | integer | Optional | Any |
home_statuses[] | list of string | Optional | newConstruction, forRent, auction, foreclosed, fsbo, recentlySold, foreclosure, comingSoon, preforeclosure, fsba |
keywords | string | Optional | Up to 120 characters |
zoom_level | integer | Optional | Any |
include_off_market | boolean | Optional | Any |
allow_empty | boolean | Optional | Any |
page | integer | Optional | Any |
page_size | integer | Optional | Any |
Example request
Zillow
GET/v1/zillow/search?latitude=47.6062&longitude=-122.3321&radius_mi=5&listing_category=category1&page_size=20
{
"data": {
"listings": [
{
"zpid": 2068074790,
"location": {
"latitude": 47.592564,
"longitude": -122.386925
},
"address": {
"streetAddress": "1124 Sunset Avenue SW",
"zipcode": "98116",
"city": "Seattle",
"state": "WA"
},
"media": {
"propertyPhotoLinks": {
"mediumSizeLink": "https://photos.zillowstatic.com/fp/4218b6d4de5511b0d968347ddf298954-p_c.jpg",
"highResolutionLink": "https://photos.zillowstatic.com/fp/4218b6d4de5511b0d968347ddf298954-p_f.jpg"
},
"hasVRModel": true,
"hasVideos": false,
"hasIMX": true,
"hasApprovedThirdPartyVirtualTour": false,
"allPropertyPhotos": {
"medium": [
"https://photos.zillowstatic.com/fp/4218b6d4de5511b0d968347ddf298954-p_c.jpg",
"https://photos.zillowstatic.com/fp/10855466fa66e19b3eb3e1af214b7134-p_c.jpg",
"https://photos.zillowstatic.com/fp/4409ab8198e5504fdf72554d5f539e6d-p_c.jpg"
],
"highResolution": [
"https://photos.zillowstatic.com/fp/4218b6d4de5511b0d968347ddf298954-p_f.jpg",
"https://photos.zillowstatic.com/fp/10855466fa66e19b3eb3e1af214b7134-p_f.jpg",
"https://photos.zillowstatic.com/fp/4409ab8198e5504fdf72554d5f539e6d-p_f.jpg"
]
}
},
"title": "West Seattle L&I Co 1st Of",
"isFeatured": false,
"isShowcaseListing": true,
"propertyHasLasViolation": false,
"mapDotTag": {
"name": "showcase"
},
"rental": {
"areApplicationsAccepted": false,
"hasVirtualTour": true
},
"currency": "usd",
"country": "usa",
"bestGuessTimeZone": "America/Los_Angeles",
"isUnmappable": false,
"listCardRecommendation": {
"flexFieldRecommendations": [
"…",
"…",
"…"
]
},
"bathrooms": 6,
"bedrooms": 4,
"livingArea": 7870,
"yearBuilt": 2015,
"lotSizeWithUnit": {
"lotSize": 0.2652,
"lotSizeUnit": "acres"
},
"propertyType": "singleFamily",
"listing": {
"listingStatus": "forSale",
"marketingStatus": "active",
"palsId": "39001_2591845",
"listingSubType": {
"isFSBA": true
}
},
"isPreforeclosureAuction": false,
"price": {
"value": 14000000,
"pricePerSquareFoot": 1779
},
"estimates": {
"zestimate": 13068300
},
"zillowOwnedProperty": {
"isZillowOwned": false
},
"hdpView": {
"listingStatus": "forSale",
"price": 14000000,
"hdpUrl": "/homedetail/MobileAppHDPShopperPlatformServicePage.htm?fromApp=true&p=iphone&variant=SHOWCASE#zpid=2068074790&homeDetailsVariant=SHOWCASE&webviewLayout=doubleScroll&showFactsAndFeatures=true&fromApp=true&gmaps=false&streetview=false"
},
"personalizedResult": {
"isViewed": false,
"userRecommendation": {
"isRecommendedForYou": false
}
},
"propertyDisplayRules": {
"canShowAddress": true,
"canShowOnMap": true,
"mls": {
"mlsName": "NWMLS as distributed by MLS GRID",
"mlsStatus": "Active"
},
"providerLogoOnMap": "https://photos.zillowstatic.com/fp/033de87a0051f29108423257c615e0b5-zillow_apps_95_35.jpg",
"listingCategory": "category1"
},
"ssid": 39,
"hasFloorPlan": true,
"richMedia": [
{
"rmxData": [
"…"
]
}
]
},
{
"zpid": 49046647,
"location": {
"latitude": 47.616028,
"longitude": -122.290596
},
"address": {
"streetAddress": "1627 33rd Avenue",
"zipcode": "98122",
"city": "Seattle",
"state": "WA"
},
"media": {
"propertyPhotoLinks": {
"mediumSizeLink": "https://photos.zillowstatic.com/fp/ab5afde65d0c3e01e9e18c81c23c3453-p_c.jpg",
"highResolutionLink": "https://photos.zillowstatic.com/fp/ab5afde65d0c3e01e9e18c81c23c3453-p_f.jpg"
},
"hasVRModel": true,
"hasVideos": false,
"hasIMX": true,
"hasApprovedThirdPartyVirtualTour": false,
"allPropertyPhotos": {
"medium": [
"https://photos.zillowstatic.com/fp/ab5afde65d0c3e01e9e18c81c23c3453-p_c.jpg",
"https://photos.zillowstatic.com/fp/37cfa3ef6dd145714431eb399337db14-p_c.jpg",
"https://photos.zillowstatic.com/fp/02d28b9f0d7480eafb9857446e13dc53-p_c.jpg"
],
"highResolution": [
"https://photos.zillowstatic.com/fp/ab5afde65d0c3e01e9e18c81c23c3453-p_f.jpg",
"https://photos.zillowstatic.com/fp/37cfa3ef6dd145714431eb399337db14-p_f.jpg",
"https://photos.zillowstatic.com/fp/02d28b9f0d7480eafb9857446e13dc53-p_f.jpg"
]
}
},
"title": "Scenic Heights Supl Plat",
"isFeatured": false,
"isShowcaseListing": true,
"propertyHasLasViolation": false,
"mapDotTag": {
"name": "showcase"
},
"rental": {
"areApplicationsAccepted": false,
"hasVirtualTour": false
},
"currency": "usd",
"country": "usa",
"bestGuessTimeZone": "America/Los_Angeles",
"isUnmappable": false,
"listCardRecommendation": {
"flexFieldRecommendations": [
"…",
"…"
]
},
"bathrooms": 2,
"bedrooms": 4,
"livingArea": 2100,
"yearBuilt": 1974,
"lotSizeWithUnit": {
"lotSize": 3933.468,
"lotSizeUnit": "squareFeet"
},
"propertyType": "singleFamily",
"listing": {
"listingStatus": "forSale",
"marketingStatus": "comingSoon",
"palsId": "39001_2564211",
"listingSubType": {
"isComingSoon": true
}
},
"isPreforeclosureAuction": false,
"price": {
"value": 1050000,
"pricePerSquareFoot": 500
},
"zillowOwnedProperty": {
"isZillowOwned": false
},
"taxAssessment": {
"taxAssessedValue": 949000,
"taxAssessmentYear": "2025"
},
"hdpView": {
"listingStatus": "forSale",
"price": 1050000,
"hdpUrl": "/homedetail/MobileAppHDPShopperPlatformServicePage.htm?fromApp=true&p=iphone&variant=SHOWCASE#zpid=49046647&homeDetailsVariant=SHOWCASE&webviewLayout=doubleScroll&showFactsAndFeatures=true&fromApp=true&gmaps=false&streetview=false"
},
"personalizedResult": {
"isViewed": false,
"userRecommendation": {
"isRecommendedForYou": false
}
},
"propertyDisplayRules": {
"canShowAddress": true,
"canShowOnMap": true,
"mls": {
"mlsName": "NWMLS as distributed by MLS GRID",
"mlsStatus": "First Look"
},
"providerLogoOnMap": "https://photos.zillowstatic.com/fp/033de87a0051f29108423257c615e0b5-zillow_apps_95_35.jpg",
"listingCategory": "category1"
},
"ssid": 39,
"hasFloorPlan": true,
"richMedia": [
{
"rmxData": [
"…"
]
}
]
},
{
"zpid": 49147344,
"location": {
"latitude": 47.62033,
"longitude": -122.29783
},
"address": {
"streetAddress": "2614 E John Street",
"zipcode": "98112",
"city": "Seattle",
"state": "WA"
},
"media": {
"propertyPhotoLinks": {
"mediumSizeLink": "https://photos.zillowstatic.com/fp/50ef8ca3a295b208198e1ffc39d1b10c-p_c.jpg",
"highResolutionLink": "https://photos.zillowstatic.com/fp/50ef8ca3a295b208198e1ffc39d1b10c-p_f.jpg"
},
"hasVRModel": true,
"hasVideos": false,
"hasIMX": true,
"hasApprovedThirdPartyVirtualTour": false,
"allPropertyPhotos": {
"medium": [
"https://photos.zillowstatic.com/fp/50ef8ca3a295b208198e1ffc39d1b10c-p_c.jpg",
"https://photos.zillowstatic.com/fp/8163e0832173ef0eb0c35dd70e568cfd-p_c.jpg",
"https://photos.zillowstatic.com/fp/a58c4d9d055dfd20ebd7c18a99036eef-p_c.jpg"
],
"highResolution": [
"https://photos.zillowstatic.com/fp/50ef8ca3a295b208198e1ffc39d1b10c-p_f.jpg",
"https://photos.zillowstatic.com/fp/8163e0832173ef0eb0c35dd70e568cfd-p_f.jpg",
"https://photos.zillowstatic.com/fp/a58c4d9d055dfd20ebd7c18a99036eef-p_f.jpg"
]
}
},
"isFeatured": false,
"isShowcaseListing": true,
"propertyHasLasViolation": false,
"mapDotTag": {
"name": "showcase"
},
"rental": {
"areApplicationsAccepted": false,
"hasVirtualTour": false
},
"currency": "usd",
"country": "usa",
"bestGuessTimeZone": "America/Los_Angeles",
"isUnmappable": false,
"listCardRecommendation": {
"flexFieldRecommendations": [
"…",
"…",
"…"
]
},
"bathrooms": 1,
"bedrooms": 1,
"livingArea": 760,
"yearBuilt": 1908,
"lotSizeWithUnit": {
"lotSize": 1119.492,
"lotSizeUnit": "squareFeet"
},
"propertyType": "singleFamily",
"listing": {
"listingStatus": "forSale",
"marketingStatus": "active",
"palsId": "39001_2576305",
"listingSubType": {
"isFSBA": true
}
},
"isPreforeclosureAuction": false,
"price": {
"value": 585000,
"pricePerSquareFoot": 770
},
"zillowOwnedProperty": {
"isZillowOwned": false
},
"taxAssessment": {
"taxAssessedValue": 576000,
"taxAssessmentYear": "2025"
},
"hdpView": {
"listingStatus": "forSale",
"price": 585000,
"hdpUrl": "/homedetail/MobileAppHDPShopperPlatformServicePage.htm?fromApp=true&p=iphone&variant=SHOWCASE#zpid=49147344&homeDetailsVariant=SHOWCASE&webviewLayout=doubleScroll&showFactsAndFeatures=true&fromApp=true&gmaps=false&streetview=false"
},
"personalizedResult": {
"isViewed": false,
"userRecommendation": {
"isRecommendedForYou": false
}
},
"propertyDisplayRules": {
"canShowAddress": true,
"canShowOnMap": true,
"mls": {
"mlsName": "NWMLS as distributed by MLS GRID",
"mlsStatus": "Active"
},
"providerLogoOnMap": "https://photos.zillowstatic.com/fp/033de87a0051f29108423257c615e0b5-zillow_apps_95_35.jpg",
"listingCategory": "category1"
},
"ssid": 39,
"hasFloorPlan": true,
"richMedia": [
{
"rmxData": [
"…"
]
}
]
}
],
"count": 20,
"total_matching_count": 2058,
"page": 1,
"page_size": 20,
"listing_category_counts": [
{
"totalMatching": 56,
"listingCategory": "category2"
}
],
"listing_category_counts_note": "These counts are cross-mapped upstream: a category1 (sale) request reports the category2 (rent) counts, and the reverse for a rent request. Read total_matching_count for the count of the category you asked for, and treat these as the size o…",
"freshness": [
"Based on information submitted to the MLS GRID as of 2026-10-21 06:24:36 PDT. All data is obtained from various sources and may not have been verified by broker or\nMLS GRID. Supplied Open House Information is subject to change without notic…"
],
"paging_note": "page * page_size must not exceed 1000; up to 1000 rows come back in one request."
}
}200 OKJSONX-Credits-Used: 1
Recorded from our API and shortened.